<!-- $Id: stats.jsp,v 1.4 2004/08/24 11:41:29 yuk Exp $ -->
<!doctype html public "-//w3c//dtd html 4.0 transitional//en"
   "http://www.w3.org/tr/rec-html40/loose.dtd">
<%@ page contentType="text/html; charset=windows-31j" %>

<%@ include file="nocache.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="com.lavans.util.*" %>
<%@ page import="com.lavans.util.jdbc.*" %>
<%
	Logger logger = Logger.getInstance();
	logger.entering();
	
	logger.debug("0");
	BindConnection con = DBManager.getConnection();
	logger.debug("1");
	String sql = "select customer_id from customer where customer_id=:id and customer_name=:name";
	BindPreparedStatement st = con.bindPrepareStatement(sql);
	
	Statement st2 = con.createStatement();
	
	logger.debug("2");

	try{
	logger.debug("3");
		st.setString("id","001");
		st.setString("name","001name");
	logger.debug("4");
		ResultSet rs = st.executeQuery();
	logger.debug("5");
		if(rs.next()){
			logger.debug(rs.getString(1));
		}
		
		ResultSet rs2 = st2.executeQuery("select customer_name from customer");
		if(rs2.next()){
			logger.debug(rs2.getString(1));
		}
		
		
	}catch (Exception e) {
		logger.err(e);
	}finally{
		try{
			DBManager.releaseConnection(con);
		}catch (Exception e2) {
		
			// XXX: handle exception
		}
	}
	java.util.logging.Logger lo = java.util.logging.Logger.getLogger("test");
	long start = System.currentTimeMillis();
	for(int i=0;i<10000; i++){
		lo.info("loggertest");
	}
	long loggingtime = System.currentTimeMillis()-start;

	start = System.currentTimeMillis();
	for(int i=0;i<10000; i++){
		logger.debug("loggertest");
	}
	long loggertime = System.currentTimeMillis()-start;
	logger.debug("logging:"+ loggingtime +", logger:"+loggertime);
	
	logger.debug("6");
		
	Statistics stat = Statistics.getInstance();
	
	NumberFormat nf  = NumberFormat.getInstance();
	DecimalFormat df = new DecimalFormat("#,###.00");
%>
<html lang="ja">
<head>
<title>v</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-31j">
</head>
<body>


<table border=1 cellspacing=0 cellpadding=3>
<tr>
  <th width="100">SQL</th>
  <th width="100">ďo</th>
  <th width="100">s</th>
  <th width="100">s(msec)</th>
  <th>ώs(msec)</th>
</tr>
<%
	List list = stat.getStatInfoByTotal();
	for(int i=0; i<list.size(); i++){
		StatsRecord rec = (StatsRecord)list.get(i);
		// ďoꗗ
  		StringBuffer buf = new StringBuffer();
  		Object methods[] = rec.getMethodNames().toArray();
		for(int j=0; j<methods.length; j++){
			buf.append(methods[j] + "<br>");
		}
%>
<tr>
  <td><%= rec.getSql().substring(0,30) %></td>
  <td><%= buf.toString() %></td>
  <td align="right"><%= nf.format(rec.getCallCount()) %></td>
  <td align="right"><%= nf.format(rec.getTotalCostTime()) %></td>
  <td align="right"><%= df.format(rec.getAverage()) %></td>
</tr>
<%
	}
%>
</table>
<%
	logger.exiting();
%>
</body>
</html>